subset.lisst {oce} | R Documentation

## Subset a lisst object

### Description

Subset a lisst object

### Usage

    ## S4 method for signature 'lisst'
    subset(x, subset, ...)

### Arguments

`x` | a `lisst` object.
`subset` | a condition to be applied to the `data` portion of `x`. See ‘Details’.
`...` | ignored.

### Details

This function is somewhat analogous to `subset.data.frame`, but subsetting is only permitted by time.

### Value

A new `lisst` object.

### Author(s)

Dan Kelley

### Examples

    library(oce)
    data(lisst)
    plot(lisst)
    plot(subset(lisst, time < mean(range(lisst[['time']]))))

[Package oce version 0.9-18 Index]